# The MEME Suite

## Motif-based sequence analysis tools

## rna2meme

### Usage:

`rna2meme [options] <sequence file>`

### Description

Convert each (micro-)RNA sequence in the (FASTA) input to the complementary RNA motif in MEME motif format. The motif is intended to represent the mRNA target of a micro-RNA.

### Input

#### <sequence file>

The name of a file containing short FASTA formatted RNA sequences. If the file name is '`-`' then the file is read from standard input. The FASTA ID will be used as the ID of its target motif, and the first word after the FASTA ID (if any) will be used as the alternate ID of the motif. If no words follow the FASTA ID, the sequence itself will be used as the motif alternate ID.

### Output

The seed region will be upweighted, and 'wobble' (U:G, G:U) matches will be allowed, as described below under the options -seed_start, -seed_end, -match, -wobble, -miss, and -other_count.

### Options

Option | Parameter | Description | Default Behavior
--- | --- | --- | ---
General Options
-dna |  | Output motifs using the DNA alphabet instead of the RNA alphabet. | Output motifs using the RNA alphabet.
-seed_start | offset | The starting offset of the seed in the (micro-)RNA sequence. If this value is 0, the entire sequence is treated as the seed (see -other_count below). | 0: the entire RNA sequence is treated as the seed.
-seed_end | offset | The ending offset of the seed in the (micro-)RNA sequence. This option is ignored if -seed_start is 0. | 0
-start | offset | The starting offset in the RNA sequence (inclusive). Use negative numbers to count from the end. Do not use this option in conjunction with -seed_start. | No starting offset is used.
-end | offset | The ending offset in RNA sequence (inclusive). Use negative numbers to count from end. Do not use this option in conjunction with -seed_start. | No ending offset is used.
-match | count | The count to assign to a (Watson-Crick) match. | A count of 1 is used.
-wobble | count | The count to assign to a U in the micro-RNA matching a G in the target mRNA, or for a G in the micro-RNA matching a U in the target mRNA. | A count of 0.1 is used.
-miss | count | The count to assign to a non-match, non-wobble pair. | A count of 0.01 is used.
-other_count | count | Extra count to add to match, wobble and misses in the non-seed regions. Setting this to a large value reduces the effect of poor matching in the non-seed regions; setting this to zero causes seed and non-seed regions to be weighted equally. | 0.5